from core.datasets.classic.ClassicDataset import ClassicDataset
from sklearn.datasets import load_breast_cancer


class BreastCancerDataset(ClassicDataset):

    def __init__(self, seed):
        self.dataset = load_breast_cancer()

        super().__init__(
            name='breast_cancer',
            num_classes=2,
            num_features=30,
            sample_shape=(30,),
            feature_names=self.dataset.feature_names,
            seed=seed
        )

    def _get_x_y(self):
        x = self.dataset.data
        y = self.dataset.target
        return x, y
